List workspace skills
The skill catalog with this workspace's choices and what can run here.
GET
The skill catalog with this workspace's choices and what can run here.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidSuccessful Response
application/json- response
can_manage*Can ManageWhether the caller may enable, disable or schedule.
runs_on_own_keys*Runs On Own KeysWhether every Ask call in this workspace uses its own model keys.
skills*array<>curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/skills'Example Response
{ "can_manage": true, "runs_on_own_keys": true, "skills": [ { "available": true, "can_run": false, "category": "architecture", "enabled": true, "funding": "any", "id": "string", "last_run_at": "2019-08-24T14:15:22Z", "last_run_id": "08df5d92-87b1-40a2-b1e7-a5977dea4efc", "next_run_at": "2019-08-24T14:15:22Z", "question": "string", "run_role": "viewer", "schedule": "off", "source": "reviewed", "summary": "string", "surfaces": [ "ask" ], "title": "string", "unavailable_reason": "own_model_keys_required", "version": "string" } ]}